//======================================================================
//  Knowledge Force Accelerator ELearning SCORM Environment
//======================================================================

//======================================================================
//  Public Functions
//======================================================================

var getPortalApi = function() {
		
	if( parent && parent.TTPortalAPI && (typeof(parent.TTPortalAPI) != "undefined") ) {
		return( parent.TTPortalAPI );
	}
	else if( opener && opener.TTPortalAPI && (typeof(opener.TTPortalAPI) != "undefined") ) {
		return( opener.TTPortalAPI );
	}
		
	return( null );
};

var portalAPI = getPortalApi();
if( portalAPI && portalAPI.Course ) {

	portalAPI.Course.terminateSco();
	
	var sUsecase = TTPortal.Url.getParam("portal_action");
	if( sUsecase == "showCertificate" ) {
		sUrl = portalAPI.Course.getCertificateUrl();
		if( sUrl && (sUrl.length > 0) ) {
			
			if( !portalAPI.Course.resizeScoWindow( 661, 801 ) ) {
				TTPortal.Browser.resizeBrowserWindow( window, 661, 801 );
			}
			
			location.replace( sUrl );		
		}
		else if( !portalAPI.Course.closeScoWindow() ) {
			TTPortal.Browser.closeBrowserWindow();
		}
	}
}